API Reference
=============

.. attention::
   🚧 Under Construction - There might be incompatible interface changes between minor
   versions of `version zero <https://semver.org/spec/v2.0.0.html#spec-item-4>`_!

   If you want to use the library in a project while it's still on version zero,
   ensure you pin the dependency to a specific minor version e.g ``>=0.4,<0.5``.

   On this note, you probably also want to switch to the specific documentation for the
   version you're using (somewhere at the lower left corner of this page).

.. attention::
   Any module or definition not documented here should be considered part of the
   private interface and can be changed or removed at any time without notice.

.. toctree::
   :maxdepth: 2
   :caption: Sub-sections:

   toplevel
   image
   widget
   exceptions
   utils
